function Foerderband_Vektoriell_P
%Parameter fr Frderband nach DI Drner

assignin('base','m_vor',136000);   %Masse fr ein Kelvin-Vogt-Element vorwrts [kg]
assignin('base','m_rueck',105400); %Masse fr ein Kelvin-Vogt-Element rckwrts [kg]
   MMZ1='MMasse=[ m_vor  0      0      0        0        0 ;';
   MMZ2='         0      m_vor  0      0        0        0 ;';
   MMZ3='         0      0      m_vor  0        0        0 ;';
   MMZ4='         0      0      0      m_rueck  0        0 ;';
   MMZ5='         0      0      0      0        m_rueck  0 ;';
   MMZ6='         0      0      0      0        0        m_rueck ];';
evalin('base',[MMZ1 MMZ2 MMZ3 MMZ4 MMZ5 MMZ6]); %Berechnung im MATLAB workspace
assignin('base','Fkv',940400);     %Federkonstante fr ein Kelvin-Vogt-Element [N/m]
   MFZ0='MFeder=';
   MFZ1='[1/(Fkv+Fkv) -1/Fkv        0            0            0           -1/Fkv ;';
   MFZ2='-1/Fkv        1/(Fkv+Fkv) -1/Fkv        0            0            0 ;';
   MFZ3=' 0           -1/Fkv        1/(Fkv+Fkv) -1/Fkv        0            0 ;';
   MFZ4=' 0            0           -1/Fkv        1/(Fkv+Fkv) -1/Fkv        0 ;';
   MFZ5=' 0            0            0           -1/Fkv        1/(Fkv+Fkv) -1/Fkv ;';
   MFZ6='-1/Fkv        0            0            0           -1/Fkv        1/(Fkv+Fkv)];';
evalin('base',[MFZ0 MFZ1 MFZ2 MFZ3 MFZ4 MFZ5 MFZ6]); %Berechnung im MATLAB workspace
assignin('base','Rkv',19400);      %Reibwert fr ein Kelvin-Vogt-Element [Ns/m]
  MReZ1='MReib=[   Rkv+Rkv  -Rkv       0         0         0        -Rkv ;';
  MReZ2='         -Rkv       Rkv+Rkv  -Rkv       0         0         0 ;';
  MReZ3='          0        -Rkv       Rkv+Rkv  -Rkv       0         0 ;';
  MReZ4='          0         0        -Rkv       Rkv+Rkv  -Rkv       0 ;';
  MReZ5='          0         0         0        -Rkv       Rkv+Rkv  -Rkv ;';
  MReZ6='         -Rkv         0         0       0        -Rkv       Rkv+Rkv];';
evalin('base',[MReZ1 MReZ2 MReZ3 MReZ4 MReZ5 MReZ6]); %Berechnung im MATLAB workspace
assignin('base','Rroll',1046);     %Rollreibung [Ns/m]
  MRoZ1='MRoll=[  Rroll      0        0        0          0          0 ;';
  MRoZ2='         0          Rroll    0        0          0          0 ;';
  MRoZ3='         0          0        Rroll    0          0          0 ;';
  MRoZ4='         0          0        0        Rroll      0          0 ;';
  MRoZ5='         0          0        0        0          Rroll      0 ;';
  MRoZ6='         0          0        0        0          0          Rroll ];';
evalin('base',[MRoZ1 MRoZ2 MRoZ3 MRoZ4 MRoZ5 MRoZ6]); %Berechnung im MATLAB workspace

disp('Parameter fr Bondgraph Beispiel "Frderband_Vektoriell" geladen!');
